0.9.8: GLM_GTX_associated_min_max

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_associated_min_max
GTX Extensions (Experimental)

## Functions
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMax (T x, U a, T y, U b)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL tvec2< U, P > | associatedMax (vecType< T, P > const &x, vecType< U, P > const &a, vecType< T, P > const &y, vecType< U, P > const &b)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | associatedMax (T x, vecType< U, P > const &a, T y, vecType< U, P > const &b)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMax (vecType< T, P > const &x, U a, vecType< T, P > const &y, U b)
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMax (T x, U a, T y, U b, T z, U c)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMax (vecType< T, P > const &x, vecType< U, P > const &a, vecType< T, P > const &y, vecType< U, P > const &b, vecType< T, P > const &z, vecType< U, P > const &c)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | associatedMax (T x, vecType< U, P > const &a, T y, vecType< U, P > const &b, T z, vecType< U, P > const &c)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMax (vecType< T, P > const &x, U a, vecType< T, P > const &y, U b, vecType< T, P > const &z, U c)
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMax (T x, U a, T y, U b, T z, U c, T w, U d)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMax (vecType< T, P > const &x, vecType< U, P > const &a, vecType< T, P > const &y, vecType< U, P > const &b, vecType< T, P > const &z, vecType< U, P > const &c, vecType< T, P > const &w, vecType< U, P > const &d)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMax (T x, vecType< U, P > const &a, T y, vecType< U, P > const &b, T z, vecType< U, P > const &c, T w, vecType< U, P > const &d)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMax (vecType< T, P > const &x, U a, vecType< T, P > const &y, U b, vecType< T, P > const &z, U c, vecType< T, P > const &w, U d)
template<typename T , typename U , precision P>
GLM_FUNC_DECL U | associatedMin (T x, U a, T y, U b)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL tvec2< U, P > | associatedMin (vecType< T, P > const &x, vecType< U, P > const &a, vecType< T, P > const &y, vecType< U, P > const &b)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMin (T x, const vecType< U, P > &a, T y, const vecType< U, P > &b)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMin (vecType< T, P > const &x, U a, vecType< T, P > const &y, U b)
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMin (T x, U a, T y, U b, T z, U c)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMin (vecType< T, P > const &x, vecType< U, P > const &a, vecType< T, P > const &y, vecType< U, P > const &b, vecType< T, P > const &z, vecType< U, P > const &c)
template<typename T , typename U >
GLM_FUNC_DECL U | associatedMin (T x, U a, T y, U b, T z, U c, T w, U d)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMin (vecType< T, P > const &x, vecType< U, P > const &a, vecType< T, P > const &y, vecType< U, P > const &b, vecType< T, P > const &z, vecType< U, P > const &c, vecType< T, P > const &w, vecType< U, P > const &d)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMin (T x, vecType< U, P > const &a, T y, vecType< U, P > const &b, T z, vecType< U, P > const &c, T w, vecType< U, P > const &d)
template<typename T , typename U , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< U, P > | associatedMin (vecType< T, P > const &x, U a, vecType< T, P > const &y, U b, vecType< T, P > const &z, U c, vecType< T, P > const &w, U d)

## Detailed Description

Min and max functions that return associated values not the compared onces.

<glm/gtx/associated_min_max.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL U glm::associatedMax | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL tvec2<U, P> glm::associatedMax | ( | vecType< T, P > const & | x,
|  | vecType< U, P > const & | a,
|  | vecType< T, P > const & | y,
|  | vecType< U, P > const & | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<T, P> glm::associatedMax | ( | T | x,
|  | vecType< U, P > const & | a,
|  | T | y,
|  | vecType< U, P > const & | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMax | ( | vecType< T, P > const & | x,
|  | U | a,
|  | vecType< T, P > const & | y,
|  | U | b
| ) |  |

Maximum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL U glm::associatedMax | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMax | ( | vecType< T, P > const & | x,
|  | vecType< U, P > const & | a,
|  | vecType< T, P > const & | y,
|  | vecType< U, P > const & | b,
|  | vecType< T, P > const & | z,
|  | vecType< U, P > const & | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<T, P> glm::associatedMax | ( | T | x,
|  | vecType< U, P > const & | a,
|  | T | y,
|  | vecType< U, P > const & | b,
|  | T | z,
|  | vecType< U, P > const & | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMax | ( | vecType< T, P > const & | x,
|  | U | a,
|  | vecType< T, P > const & | y,
|  | U | b,
|  | vecType< T, P > const & | z,
|  | U | c
| ) |  |

Maximum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL U glm::associatedMax | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c,
|  | T | w,
|  | U | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMax | ( | vecType< T, P > const & | x,
|  | vecType< U, P > const & | a,
|  | vecType< T, P > const & | y,
|  | vecType< U, P > const & | b,
|  | vecType< T, P > const & | z,
|  | vecType< U, P > const & | c,
|  | vecType< T, P > const & | w,
|  | vecType< U, P > const & | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMax | ( | T | x,
|  | vecType< U, P > const & | a,
|  | T | y,
|  | vecType< U, P > const & | b,
|  | T | z,
|  | vecType< U, P > const & | c,
|  | T | w,
|  | vecType< U, P > const & | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMax | ( | vecType< T, P > const & | x,
|  | U | a,
|  | vecType< T, P > const & | y,
|  | U | b,
|  | vecType< T, P > const & | z,
|  | U | c,
|  | vecType< T, P > const & | w,
|  | U | d
| ) |  |

Maximum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL U glm::associatedMin | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL tvec2<U, P> glm::associatedMin | ( | vecType< T, P > const & | x,
|  | vecType< U, P > const & | a,
|  | vecType< T, P > const & | y,
|  | vecType< U, P > const & | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMin | ( | T | x,
|  | const vecType< U, P > & | a,
|  | T | y,
|  | const vecType< U, P > & | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMin | ( | vecType< T, P > const & | x,
|  | U | a,
|  | vecType< T, P > const & | y,
|  | U | b
| ) |  |

Minimum comparison between 2 variables and returns 2 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL U glm::associatedMin | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c
| ) |  |

Minimum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMin | ( | vecType< T, P > const & | x,
|  | vecType< U, P > const & | a,
|  | vecType< T, P > const & | y,
|  | vecType< U, P > const & | b,
|  | vecType< T, P > const & | z,
|  | vecType< U, P > const & | c
| ) |  |

Minimum comparison between 3 variables and returns 3 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL U glm::associatedMin | ( | T | x,
|  | U | a,
|  | T | y,
|  | U | b,
|  | T | z,
|  | U | c,
|  | T | w,
|  | U | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMin | ( | vecType< T, P > const & | x,
|  | vecType< U, P > const & | a,
|  | vecType< T, P > const & | y,
|  | vecType< U, P > const & | b,
|  | vecType< T, P > const & | z,
|  | vecType< U, P > const & | c,
|  | vecType< T, P > const & | w,
|  | vecType< U, P > const & | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMin | ( | T | x,
|  | vecType< U, P > const & | a,
|  | T | y,
|  | vecType< U, P > const & | b,
|  | T | z,
|  | vecType< U, P > const & | c,
|  | T | w,
|  | vecType< U, P > const & | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max

GLM_FUNC_DECL vecType<U, P> glm::associatedMin | ( | vecType< T, P > const & | x,
|  | U | a,
|  | vecType< T, P > const & | y,
|  | U | b,
|  | vecType< T, P > const & | z,
|  | U | c,
|  | vecType< T, P > const & | w,
|  | U | d
| ) |  |

Minimum comparison between 4 variables and returns 4 associated variable values.

See also
  GLM_GTX_associated_min_max